Retrieve events for an order
curl --request GET \
--url https://prod.truv.com/v1/orders/{id}/events/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/orders/{id}/events/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/orders/{id}/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"object": "order",
"type": "order_created",
"is_refresh": false,
"order_id": "48427a36d43c4d5aa6324bc06c692456",
"timestamp": "2025-08-06T10:49:22.139861Z",
"suborder_id": "f01b5641ac104074b7f5b376fb34691a",
"task_id": "85aec5c06cc34a66cdc6a4c34febe1fe",
"link_id": "d3020b91e411417ea82d40b09998e454"
}
]
}{
"error": {
"code": "incorrect_parameters",
"message": "Incorrect request parameters",
"extra": {
"invalid-params": [
{
"field": "access_token",
"message": "This field is required."
}
]
}
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Orders
Retrieve events for an order
Returns a list of events for the specified order.
GET
/
v1
/
orders
/
{id}
/
events
/
Retrieve events for an order
Authorizations
Client ID
Client Access Key
Path Parameters
Order ID received from the POST request
Query Parameters
Whether to include events from refresh orders
Response
List of events for the specified order
Show child attributes
Show child attributes
Was this page helpful?
⌘I